%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             staxmapper
Version:          1.1.0
Release:          %mkrel 8
Summary:          StAX Mapper
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/staxmapper

# git clone git://github.com/jbossas/staxmapper.git
# cd staxmapper/ && git archive --format=tar --prefix=staxmapper-1.1.0.Final/ 1.1.0.Final | xz > staxmapper-1.1.0.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

%description
This package contains the StAX Mapper.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
# Unneeded
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

# Not available license file reported @ https://issues.jboss.org/browse/STXM-14
%files -f .mfiles
%files javadoc -f .mfiles-javadoc


%changelog
* Sun Feb 28 2016 daviddavid <daviddavid> 1.1.0-8.mga6
+ Revision: 980416
- First rebuild of the java stack
- sync package staxmapper with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Dec 29 2014 daviddavid <daviddavid> 1.1.0-7.mga5
+ Revision: 807088
- Sync with fc21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-4.mga4
+ Revision: 519190
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.0-3.mga3
+ Revision: 383414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 1.1.0-2.mga3
+ Revision: 291803
- New version

* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 131950
- Clean spec file

  + gil <gil>
    - imported package staxmapper


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging


